<refentry id="revhistory.element">
<?dbhtml filename="revhistory.html"?>
<refentryinfo>
<pubdate>$Date: 2002-06-12 19:19:37 +0800 (Wed, 12 Jun 2002) $</pubdate>
<releaseinfo>$Revision: 1666 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>revhistory</secondary></indexterm>
<refentrytitle>revhistory</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>revhistory</refname>
<refpurpose>&revhistory.purpose;</refpurpose>
</refnamediv>

&revhistory.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para><sgmltag>RevHistory</sgmltag> is a structure for documenting a
history of changes, specifically, a history of changes to the document
or section in which it occurs.
</para>

<para>DocBook does not mandate an order for <sgmltag>revision</sgmltag>s:
ascending order by date, descending order by date, and orders based on
some other criteria are all equally acceptable.</para>

<refsect2><title>Processing expectations</title>
<para>&format.block; A tabular or list presentation is most common.
</para>

<para>The order of <sgmltag>revision</sgmltag>s within a
<sgmltag>revhistory</sgmltag> (ascending or descending date order, for example)
is not mandated by DocBook</para>
</refsect2>

<refsect2 role='fu' revision="5.0"><title>&FutureChanges;</title>

<para>Due to a parameterization oversight in the &DTD;,
<sgmltag>RevHistory</sgmltag> is allowed in some outlandish places.
Still, it is not an inline, so it should not be used inside
<sgmltag>LineAnnotation</sgmltag>s, <sgmltag>Link</sgmltag>s, or
<sgmltag>Quote</sgmltag>s. (Not to mention the truly outlandish places
like <sgmltag>Title</sgmltag> and <sgmltag>SeeAlso</sgmltag>!)
</para>
<para>In a future version of DocBook, <sgmltag>RevHistory</sgmltag>
will be removed from these inline contexts.
</para>
<para>
The original intent for <sgmltag>RevHistory</sgmltag> was simply to
document the history of changes to the document that contains it.  In
keeping with this meaning, you are advised to limit its use to places
where bibliographic meta-information is allowed (the
<quote>info</quote> elements).
</para>
<para>
One can argue that <sgmltag>RevHistory</sgmltag> has broader
applicability for documenting changes to other systems as well, and in
light of this, it may become available in more contexts, but that has
not yet been decided.
</para>
</refsect2>

&revhistory.parents.gen;
&revhistory.children.gen;
</refsect1>
<refsect1 condition='ref.elem.seealso'><title>See Also</title>
&revhistory.seealso.gen;
</refsect1>
<refsect1><title>Examples</title>

<informalexample role="example-source">
<programlisting>&revhistory.example.1.txt;</programlisting>
</informalexample>

&revhistory.example.seealso.gen;
</refsect1>
</refentry>

